package com.caimei365.user.controller;

import com.caimei365.user.model.ResponseJson;
import com.caimei365.user.model.po.CmProviders;
import com.caimei365.user.model.vo.CmProvidersVO;
import com.caimei365.user.service.CmProvidersService;
import com.caimei365.user.utils.BeanUtil;
import org.apache.commons.lang3.StringUtils;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * 服务商入驻Controller
 *
 * @author Kaick
 * @date 2023-12-14
 */
@RestController
@RequestMapping("/user/providers")
public class ProvidersController {
    @Resource
    private CmProvidersService cmProvidersService;


    /**
     * 服务商入驻信息查询
     */
    @GetMapping("/from")
    public ResponseJson getProvidersFrom(String providersId,String providersName) {
        if (StringUtils.isBlank(providersId)&&StringUtils.isBlank(providersName)) {
            return ResponseJson.error("参数异常！");
        }
        CmProviders cmProviders = cmProvidersService.getByCmProviders(new CmProviders().setId(providersId).setName(providersName).setStatus(90));
        return ResponseJson.success(BeanUtil.setValue(cmProviders, CmProvidersVO.class));
    }
}
